package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFJW1 extends MwfRequest<MWFJW1, MWFJW1Response> {

    @Parameter(name = "AVPole2")
    MWFJW1 aVPole2(String aVPole2);
    @Parameter(name = "Castka")
    MWFJW1 castka(Double castka);
    @Parameter(name = "CisloUctuPrijemce_Externi")
    MWFJW1 cisloUctuPrijemceExterni(String cisloUctuPrijemceExterni);
    @Parameter(name = "CisloUctuPrijemce_Interni")
    MWFJW1 cisloUctuPrijemceInterni(String cisloUctuPrijemceInterni);
    @Parameter(name = "CisloUctuPrijemce_Kodbanky")
    MWFJW1 cisloUctuPrijemceKodbanky(String cisloUctuPrijemceKodbanky);
    @Parameter(name = "CisloUctuUver")
    MWFJW1 cisloUctuUver(String cisloUctuUver);
    @Parameter(name = "DatumCerpani")
    MWFJW1 datumCerpani(java.util.Date datumCerpani);
    @Parameter(name = "Kanal")
    MWFJW1 kanal(String kanal);
    @Parameter(name = "KonstSymbol")
    MWFJW1 konstSymbol(String konstSymbol);
    @Parameter(name = "PodepsanoNaSingpadu")
    MWFJW1 podepsanoNaSingpadu(String podepsanoNaSingpadu);
    @Parameter(name = "SpecifickySymbol")
    MWFJW1 specifickySymbol(Long specifickySymbol);
    @Parameter(name = "Urednik")
    MWFJW1 urednik(String urednik);
    @Parameter(name = "VarSymbol")
    MWFJW1 varSymbol(Long varSymbol);
}
